function browseByCompleteAlbumFilter()
{
    var select1   = document.getElementById("selectAlbumMatchFilter");
    var selected1 = select1.options[select1.selectedIndex].value;

    switch(selected1)
    {
        case "1":
            toggleDisplay("tile", "block");
            break;

        case "2":
            toggleDisplay("complete", "none");
            toggleDisplay("incomplete", "block");
            break;

        case "3":
            toggleDisplay("complete", "block");
            toggleDisplay("incomplete", "none");
            break;
    }

    var search  = document.getElementById("search").value.toUpperCase();
    if(search.length>0)
    {
        var figures = document.getElementsByClassName("tile");
        for (i = 0; i < figures.length; i++)
        {
            if(figures[i].style.display == "block")
            {
                var links = figures[i].getElementsByClassName("link");
                var link =  links[0];
                if (link.innerHTML.toUpperCase().indexOf(search) > -1)
                {
                    figures[i].style.display = "block";
                }
                else
                {
                    figures[i].style.display = "none";
                }
            }
        }
    }
}

function toggleDisplay(className, displayValue)
{
    var figures = document.getElementsByClassName(className);
    for (i = 0; i < figures.length; i++)
    {
      figures[i].style.display = displayValue;
    }
}


function toggleLabelsFilter(filtername)
{
      var checkbox = document.getElementById("showLabels");
      if(checkbox.checked)
      {
             localStorage.setItem("showLabels", "true");
             var badges = document.getElementsByClassName("badge");
             for (i = 0; i < badges.length; i++)
             {
               badges[i].style.visibility = "visible";
             }
      }
      else
      {
            localStorage.setItem("showLabels", "false");
            var badges = document.getElementsByClassName("badge");
            for (i = 0; i < badges.length; i++)
            {
                badges[i].style.visibility = "hidden";
            }
      }
}
